|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSharedData Class Reference
[QtCore module]

The QSharedData class is a base class for shared data objects. More...

     #include <QSharedData>

Inherited by QAbstractXmlNodeModel.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QSharedData ()
- QSharedData ( const QSharedData & other )

## Detailed Description

The QSharedData class is a base class for shared data objects.

QSharedData is designed to be used with QSharedDataPointer or QExplicitlySharedDataPointer to implement custom implicitly shared or explicitly shared classes. QSharedData provides thread-safe reference counting.

See QSharedDataPointer and QExplicitlySharedDataPointer for details.

## Member Function Documentation

### QSharedData::QSharedData ()

Constructs a QSharedData object with a reference count of 0.

### QSharedData::QSharedData ( const QSharedData & other )

Constructs a QSharedData object with reference count 0. other is ignored.